Herald
OpenapiRealms

Save white-label draft without publishing.

PUT
/api/realms/{realmId}/config/white-label/draft

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

realmId*string

Realm ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

accentColor?string|null
background?null|
brandName?string|null
faviconUrl?string|null
footerText?string|null
loginSubtitle?string|null
loginTitle?string|null
logoUrl?string|null
registerSubtitle?string|null
registerTitle?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/realms/string/config/white-label/draft" \  -H "Content-Type: application/json" \  -d '{}'
{  "draft": {    "accentColor": "string",    "background": null,    "brandName": "string",    "faviconUrl": "string",    "footerText": "string",    "loginSubtitle": "string",    "loginTitle": "string",    "logoUrl": "string",    "registerSubtitle": "string",    "registerTitle": "string"  },  "draftUpdatedAt": "string",  "message": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}